﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using DEMO.Languages;

namespace DEMO.WebForm
{
    public partial class _Default : System.Web.UI.Page
    {
        private static List<ILanguage> _languages;

        protected void Page_Load(object sender, EventArgs e)
        {
            if (_languages == null)
                _languages = Language.GetLanguages();

            if (IsPostBack == false)
            {
                dropDownListLanguages.DataSource = _languages;
                dropDownListLanguages.DataBind();
            }
        }

        protected void btnApply_Click(object sender, EventArgs e)
        {
            /*
             * Please refer to : DEMO.WinForm,LocalisationHelper
             */

            ILanguage language = _languages[dropDownListLanguages.SelectedIndex];

            Label1.Text = language.File;
            Label2.Text = language.Edit;
            Label3.Text = language.View;

            Label4.Text = language.ResourceManager.GetString("Help");
            
        }
    }
}